{% extends 'base.html' %}

{% block head %}
	<script
		src="{{ url_for('static', filename='js/result.js') }}"
		type="text/javascript"
	></script>
	<script
		src="{{ url_for('static', filename='js/select2.js') }}"
		type="text/javascript"
	></script>
	
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='css/result.css') }}"
	>
	
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='css/select2.css') }}"
	>
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='fonts/open-sans/style.css') }}"
	>
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='fonts/bebas-neue/style.css') }}"
	>
{% endblock %}

{% block current_page %}Výsledek{% endblock %}

{% if percentage == 0 %}
	{% set heading = "Nula procent?!" %}
	{% set description = "Buď s námi opravdu hodně nesouhlasíš,<br>nebo jsi schválně na všechno dal zásadní nesouhlas. :(" %}
{% elif percentage < 35 %}
	{% set heading = "Bohužel, máš shodu jen {}%." %}
	{% set description = "Buď s námi prostě nesouhlasíš - na což máš plné právo - nebo máme otázky,<br>se kterými někteří Piráti nesouhlasí. Chceš nám o nich <a href=\"https://forum.pirati.cz\">napsat</a>?" %}
{% elif percentage < 55 %}
	{% set heading = "Máš slušnou shodu {}%!" %}
	{% set description = "Na některých věcech se možná neshodneme, ale na některých zase ano. :)" %}
{% elif percentage < 77 %}
	{% set heading = "Máš shodu {}%!" %}
	{% set description = "Je spousta věcí, na kterých se shodneme." %}
{% elif percentage <= 99 %}
	{% set heading = "Máš úžasnou shodu {}%!" %}
	{% set description = "Shodneme se prakticky na všem." %}
{% else %}
	{% set heading = "Máš úžasnou shodu {}%!!" %}
	{% set description = "Shodneme se úplně na všem." %}
{% endif %}

{% block description %}{% endblock %}

{% block content %}
	<header>
		<h1>{{ heading.format(percentage) }}</h1>
		<p>{{ description|safe }}</p>
	</header>
	<main>
		{% if percentage > 35 %}
			<h2>
				Kandidáti, kteří ti nejvíc sednou
			</h2>
			
			<form method="get" id="district-filter-form">
				<label
					for="obec"
				>Filtrovat podle obce</label>
				
				<select name="obec" id="obec" autocomplete="off" style="width:200px">
					<option
						value="zadna"
						{% if selected_district_slug is none %}selected{% endif %}
					>Vybrat</option>
					
					{% for region in config["REGIONS"].values() %}
						<optgroup label="{{ region["name"] }}">
							{% for district_slug in region["districts"] %}
								<option
									value="{{ district_slug }}"
									{% if district_slug == selected_district_slug %}selected{% endif %}
								>{{ config["DISTRICTS"][district_slug]["name"] }}</option>
							{% endfor %}
						</optgroup>
					{% endfor %}
				</select>
				
				<noscript>
					<input
						type="submit"
						value="Filtrovat"
					>
				</noscript>
			</form>
			
			{% if selected_district_slug is not none %}
				<div class="people">
					{% for candidate_slug, candidate in closest_candidates.items() %}
						{% set person = config["PEOPLE"][candidate_slug] %}
						<section class="person">
							<div class="person-image">
								<img
									src="{{ url_for('static', filename='images/people/' + candidate_slug + '.png') }}"
									alt="Fotka osoby {{ person["name"] }}"
								>
								
								<div class="person-agreement-percentage">
									<div
										class="person-agreement-percentage-bar"
										style="width:{{ candidate["percentage"] }}%;animation-delay:-{{ candidate["percentage"] / 100 }}s"
									>
										<span
											class="person-agreement-percentage-number"
										>Shoda {{ candidate["percentage"] }}%</span>
									</div>
								</div>
							</div>
							
							<div class="person-description">
								<h2>{{ person["name"] }}</h2>
								
								<tt style="background:grey;color:white;padding:5px">Sem patří popis kandidáta, odkazy, atd.</tt>
								
								<br>
								
								<a
									class="show-answers"
									href="{{ url_for('calculator.view_candidate_opinions', person_slug=candidate_slug) }}"
								><img
									src="{{ url_for('static', filename='images/mag.svg') }}"
									width="25"
									height="25"
								>Zobrazit odpovědi</a>
							</div>
						</section>
					{% endfor %}
				</div>
			{% endif %}
			
			<a
				class="back-to-main"
				href="{{ url_for('calculator.view_index') }}"
			><img
				src="{{ url_for('static', filename='images/reload.svg') }}"
				width="25"
				height="25"
			>Vyzkoušet test znovu</a>
		{% else %}
			<div style="padding-top:25px;text-align:center">
				<a
					class="back-to-main"
					href="{{ url_for('calculator.view_index') }}"
				><img
					src="{{ url_for('static', filename='images/reload.svg') }}"
					width="25"
					height="25"
				>Vyzkoušet test znovu</a>
			</div>
		{% endif %}
		
	</main>
{% endblock %}
